package edu.tum.xmts.formula;

import edu.tum.xmts.formula.Formula.Atom;
import edu.tum.xmts.formula.Formula.Conjunction;
import edu.tum.xmts.formula.Formula.Disjunction;
import edu.tum.xmts.formula.Formula.Equivalence;
import edu.tum.xmts.formula.Formula.Implication;
import edu.tum.xmts.formula.Formula.Negation;

public interface BooleanVisitor {
	public boolean visit(Atom<?> a);

	public boolean visit(Conjunction c);

	public boolean visit(Disjunction d);

	public boolean visit(Equivalence e);

	public boolean visit(Implication i);

	public boolean visit(Negation n);
}