package edu.tum.xmts.formula;

import edu.tum.xmts.formula.Formula.Atom;
import edu.tum.xmts.formula.Formula.Conjunction;
import edu.tum.xmts.formula.Formula.Disjunction;
import edu.tum.xmts.formula.Formula.Equivalence;
import edu.tum.xmts.formula.Formula.Implication;
import edu.tum.xmts.formula.Formula.Negation;

public interface Visitor<R> {
	public R visit(Atom<?> a);

	public R visit(Conjunction c);

	public R visit(Disjunction d);

	public R visit(Equivalence e);

	public R visit(Implication i);

	public R visit(Negation n);
}