package edu.tum.motras.algorithms.util;

import edu.tum.xmts.Action;
import edu.tum.xmts.TransitionSystem;

public class ActionMapper extends AbstractMapper<Action, Action> {

	public ActionMapper(TransitionSystem transitionSystem) {
		super(transitionSystem);
	}

	@Override
	protected Action create(Action key) {
		if (system.actions.contains(key.getId())) {
			return system.actions.lookup(key.getId());
		}

		return system.actions.create(key.getId());
	}

}
