package edu.tum.motras.legacy.pmtsrc.util;

import edu.tum.motras.legacy.pmtsrc.util.QDIMACS.QSatSolverType;
import edu.tum.motras.legacy.pmtsrc.util.formula.QuantifiedBoolean.ConversionMethod;

public class LegacyConfiguration {
	public static LegacyConfiguration config = new LegacyConfiguration(QSatSolverType.quantor,
			ConversionMethod.TSEITIN, 1200);

	public QSatSolverType SELECTED_BACKEND;
	public ConversionMethod CNF_CONVERSION_METHOD;
	public int QSAT_TIMEOUT;

	LegacyConfiguration(QSatSolverType solver, ConversionMethod cnfConversion, int timeout) {
		SELECTED_BACKEND = solver;
		CNF_CONVERSION_METHOD = cnfConversion;
		QSAT_TIMEOUT = timeout;
	}
}
