package edu.tum.motras.legacy.pmtsrc.util.formula;

public class LiteralRange implements Comparable<LiteralRange> {

	public final int lowerBound; // inclusive!
	public final int upperBound; // exclusive!

	public LiteralRange(int l, int u) {
		lowerBound = l;
		upperBound = u;
	}

	public boolean isEmpty() {
		return (lowerBound == upperBound);
	}

	public int size() {
		return upperBound - lowerBound;
	}

	@Override
	public int compareTo(LiteralRange arg0) {
		return Integer.compare(lowerBound, arg0.lowerBound);
	}
}
