package edu.tum.xmts.formula;

import edu.tum.xmts.formula.Formula.Atom;
import edu.tum.xmts.formula.Formula.Conjunction;
import edu.tum.xmts.formula.Formula.Disjunction;
import edu.tum.xmts.formula.Formula.Equivalence;
import edu.tum.xmts.formula.Formula.Implication;
import edu.tum.xmts.formula.Formula.Negation;

public interface VoidVisitor {
	public void visit(Atom<?> a);

	public void visit(Conjunction c);

	public void visit(Disjunction d);

	public void visit(Equivalence e);

	public void visit(Implication i);

	public void visit(Negation n);
}